'saved as makeTinyDB.bas

notice "Caution!";chr$(13); "Run this only if you have modified the database.";chr$(13);chr$(13);_
                            "This program contains the database that is used to ";chr$(13);_
                            "list the commands and statements and the help files ";chr$(13);_
                            "to support the listed items. You should rerun this ";chr$(13);_
                            "database generator only if you edit the list item, ";chr$(13);_
                            "the item's syntax, or the contents of the help file ";chr$(13);_
                            "that supports the item.";chr$(13);chr$(13);_
                            "Or, run this program if you add an item to this list."

notice "Backup DB";chr$(13);"A backup of the database is created in the hlpfiles ";chr$(13);_
                            "subdirectory each time the program is run."

confirm "Do you want to run this program?"; answer$
if answer$ = "No" then end

nomainwin

' If data file exists, make backup file
fileName$="syn.tny"

    if FileExists(fileName$) then
        if FileExists("syn.bak") then kill "syn.bak"
        name "syn.tny" as "syn.bak"
    end if
'
' Open data file to add more commands and statements.
' NOTE: To edit the datafile, make any changes to the list items
' and then re-run the file for output to create a new file.
'
' The third item in each line is the help file name, which is a normal, plain text file.
' Edit or create the help files in Notepad (or any plain text editor) and save them to the subdirectory "hlpfiles".
' If you change any of the help file names in the subdirectory, be sure to make the
' changes to this list and rerun the program to update the database.
'
' DATAFILE FORMAT:
'   Each data item is separated by chr$(0). Using this separator in a Windows sequential data file enables
'   the program to extract the first data item and use it to display in the listbox of the GUI. The
'   remaining items are parsed out by using the word$() function.
'
'   Any text which displays with double quotes in the syntax window must be surrounded with chr$(34) -
'   the double quote character in ASCII code.
'
'   ITEM 1 - command, statement or subject listed in the listbox
'   ITEM 2 - the syntax for using the list item
'   ITEM 3 - the file name which contains the description of the item or subject from the JB help file.
'   ITEM 4 - if a file exists, this will be the name of the "examples" file. See the NOTICE entry for example.
'
'   The content of ITEM 3 will vary in length. To accommodate the variations, the first character of
'   the help file name may begin with a number. This number tells the program what size window to use.
'   A file name without a number as the first character will use the default window size and position.
'
'   The list is made up alphabetically. No sort routine is used in the program. To include a new list
'   item, just insert it into it's proper place in the listing, save the file, and then run this program.

    open fileName$ for output as #fout

    print #fout, "!cls";chr$(0);"print #handle, ";chr$(34);"!cls";chr$(34);" (for Text Windows)";chr$(0);"clsTxt.txt"
    print #fout, "!contents #handle";chr$(0);"print #handle, ";chr$(34);"!contents #handle";chr$(34);chr$(0);"contentsReplace.txt"
    print #fout, "!contents varname$";chr$(0);"print #handle, ";chr$(34);"!contents varname$";chr$(34);chr$(0);"contentsReplace.txt"
    print #fout, "!contents? string$";chr$(0);"print #handle, ";chr$(34);"!contents? string$";chr$(34);chr$(0);"contentsReturn.txt"
    print #fout, "!copy";chr$(0);"print #handle, ";chr$(34);"!copy";chr$(34);chr$(0);"editTxt.txt"
    print #fout, "!cut";chr$(0);"print #handle, ";chr$(34);"!cut";chr$(34);chr$(0);"editTxt.txt"
    print #fout, "!font";chr$(0);"print #handle.ext, ";chr$(34);"!font fontName pointsize";chr$(34);chr$(0);"fontTxt.txt"
    print #fout, "!line n string$";chr$(0);"print #handle, ";chr$(34);"!line n string$";chr$(34);chr$(0);"lineTxt.txt"
    print #fout, "!lines countVar";chr$(0);"print #handle, ";chr$(34);"!lines countVar";chr$(34);chr$(0);"lineTxt.txt"
    print #fout, "!modified? answer$";chr$(0);"print #handle, ";chr$(34);"!modified? answer$";chr$(34);chr$(0);"modTxt.txt"
    print #fout, "!origin? columnVar rowVar";chr$(0);"print #handle, ";chr$(34);"!origin? columnVar rowVar";chr$(34);chr$(0);"oriTxt.txt"
    print #fout, "!origin column row";chr$(0);"print #handle, ";chr$(34);"!origin column row";chr$(34);chr$(0);"oriTxt.txt"
    print #fout, "!paste";chr$(0);"print #handle, ";chr$(34);"!paste";chr$(34);chr$(0);"editTxt.txt"
    print #fout, "!selectall";chr$(0);"print #handle, ";chr$(34);"!selectall";chr$(34);chr$(0);"editTxt.txt"
    print #fout, "!selection? selected$";chr$(0);"print #handle, ";chr$(34);"!selection? selected$";chr$(34);chr$(0);"retSelTxt.txt"
    print #fout, "!setfocus";chr$(0);"print #handle, ";chr$(34);"!setfocus";chr$(34);chr$(0);"setfocusTxt.txt"
    print #fout, "!trapclose branchLabel";chr$(0);"print #handle, ";chr$(34);"!trapclose branchLabel";chr$(34);chr$(0);"trapcloseTxt.txt"
    print #fout, "[View Graphics Window Commands]";chr$(0);"View Graphics Commands";chr$(0);"5GrCmdsNarrow.txt"
    print #fout, "[View Text Window Commands]";chr$(0);"View Text Window Commands";chr$(0);"5TxtCmds.txt"
    print #fout, "abs(n)";chr$(0);"abs(n) - (n can be number or expression)";chr$(0);"mathOps.txt"
    print #fout, "acs(n)";chr$(0);"acs(n) - (n can be number or expression)";chr$(0);"trigOps.txt"
    print #fout, "addsprite";chr$(0);"print #handle.ext, ";chr$(34);"addsprite SpriteName BmpName";chr$(34);chr$(0);"spriteAdd.txt"
    print #fout, "asc(s$)";chr$(0);"asc(s$) - (s$ can be literal or variable)";chr$(0);"ascchr.txt"
    print #fout, "asn(n)";chr$(0);"asn(n) - (n can be number or expression)";chr$(0);"trigOps.txt"
    print #fout, "atn(n)";chr$(0);"atn(n) - (n can be number or expression)";chr$(0);"trigOps.txt"
    print #fout, "autoresize";chr$(0);"print #handle, ";chr$(34);"autoresize";chr$(34);chr$(0);"GBComds.txt"
    print #fout, "backcolor";chr$(0);"print #handle, ";chr$(34);"backcolor COLOR";chr$(34);chr$(0);"bkColor.txt"
    print #fout, "background";chr$(0);"print #handle.ext, ";chr$(34);"background BmpName";chr$(34);chr$(0);"spriteVis.txt"
    print #fout, "BackgroundColor$";chr$(0);"BackgroundColor$ = ";chr$(34);"aColor";chr$(34);chr$(0);"BgColor.txt"
    print #fout, "beep";chr$(0);"beep";chr$(0);"beep.txt"
    print #fout, "bitwise operations";chr$(0);"AND, OR, XOR";chr$(0);"bitOps.txt"
    print #fout, "bmpbutton";chr$(0);"bmpbutton #handle.ext, filespec, returnVar, corner, posx, posy";chr$(0);"bmpBtn.txt"
    print #fout, "bmpsave";chr$(0);"bmpsave ";chr$(34);"bmpName";chr$(34);", ";chr$(34);"filename.bmp";chr$(34);chr$(0);"bmpSave.txt"
    print #fout, "boolean operators";chr$(0);" =,  <,  <=,  >,  >=,  <>";chr$(0);"boolOps.txt"

    print #fout, "box x y";chr$(0);"print #handle, ";chr$(34);"box x y";chr$(34);chr$(0);"boxcirGr.txt"
    print #fout, "boxfilled x y";chr$(0);"print #handle, ";chr$(34);"boxfilled x y";chr$(34);chr$(0);"boxcirGr.txt"
    print #fout, "button";chr$(0);"button #handle.ext, ";chr$(34);"label";chr$(34);", returnVar, corner, x, y {, width, height}";chr$(0);"Btn.txt"
    print #fout, "button.default";chr$(0);"button #handle.default, ";chr$(34);"label";chr$(34);", returnVar, corner, x, y {, width, height}";chr$(0);"BtnDef.txt"
    print #fout, "byref";chr$(0);"Function functionName(byref var1, byref var2$...)";chr$(0);"2byref.txt"
    print #fout, "call";chr$(0);"call subroutineName {list of zero or more comma separated values}";chr$(0);"call.txt"
    print #fout, "case";chr$(0);"case value {code follows}";chr$(0);"selCase.txt"
    print #fout, "case else";chr$(0);"case else {code follows}";chr$(0);"selCase.txt"
    print #fout, "characterInput";chr$(0);"print #handle, ";chr$(34);"when characterInput [eventHandler]";chr$(34);chr$(0);"inkey.txt"
    print #fout, "checkbox";chr$(0);"checkbox #handle.ext, ";chr$(34);"label";chr$(34);", setHandler, resetHandler, x, y, wide, high";chr$(0);"chkBx.txt"
    print #fout, "chr$(n)";chr$(0);"chr$(n) - (n = ASCII code 0-255)";chr$(0);"ascchr.txt"
    print #fout, "circle";chr$(0);"print #handle, ";chr$(34);"circle r";chr$(34);chr$(0);"boxcirGr.txt"
    print #fout, "circlefilled";chr$(0);"print #handle, ";chr$(34);"circlefilled r";chr$(34);chr$(0);"boxcirGr.txt"
    print #fout, "close";chr$(0);"close #handle";chr$(0);"close.txt"
    print #fout, "cls";chr$(0);"cls";chr$(0);"cls.txt"
    print #fout, "[collision detection]";chr$(0);"Sprite collision detection";chr$(0);"5SpriteCollDetect.txt"
    print #fout, "color";chr$(0);"print #handle, ";chr$(34);"color COLOR";chr$(34);chr$(0);"color.txt"
    print #fout, "combobox";chr$(0);"combobox #handle.ext, array$(), eventHandler, xPos, yPos, wide, high";chr$(0);"comboBx.txt"
    print #fout, "ComboboxColor$";chr$(0);"ComboboxColor$ = ";chr$(34);"aColor";chr$(34);chr$(0);"BgColor.txt"
    print #fout, "CommandLine$";chr$(0);"CommandLine$, ";chr$(34);"switch";chr$(34);chr$(0);"CmdLine.txt"
    print #fout, "CONFIRM";chr$(0);"CONFIRM string; responseVar";chr$(0);"confirm.txt";chr$(0);"exConfirm.txt"
    print #fout, "cos(n)";chr$(0);"cos(n) - (n can be number or expression. The angle n should be expressed in radians.";chr$(0);"trigOps.txt"
    print #fout, "cyclesprite";chr$(0);"print #handle.ext, ";chr$(34);"cyclesprite SpriteName {1, -1, 1 once}";chr$(34);chr$(0);"spriteOrient.txt"
    print #fout, "data";chr$(0);"data [list of items]";chr$(0);"data.txt"
    print #fout, "date$()";chr$(0);"date$(";chr$(34);"{optional switches}";chr$(34);")";chr$(0);"date.txt"
    print #fout, "DefaultDir$";chr$(0);"DefaultDir$ - format = ";chr$(34);"drive:\dir1\...";chr$(34);chr$(0);"DefDir.txt"
    print #fout, "delsegment";chr$(0);"print #handle, ";chr$(34);"delsegment {number or name}";chr$(34);chr$(0);"delseg.txt"
    print #fout, "dialog";chr$(0);"open TITLE$ for dialog as #handle";chr$(0);"dialogWin.txt"
    print #fout, "dialog default button";chr$(0);"button #handle.default, ";chr$(34);"label";chr$(34);", [eventHandler], corner, x, y {, width, height}";chr$(0);"BtnDef.txt"
    print #fout, "dialog_fs";chr$(0);"open dialog window the size of the screen";chr$(0);"diaCmds.txt"
    print #fout, "dialog_modal";chr$(0);"open dialog window that must be closed before another window can gain focus";chr$(0);"diaCmds.txt"
    print #fout, "dialog_nf";chr$(0);"open dialog window with no resizing frame";chr$(0);"diaCmds.txt"
    print #fout, "dialog_nf_fs";chr$(0);"open dialog window with no frame the size of the screen";chr$(0);"diaCmds.txt"
    print #fout, "dialog_nf_modal";chr$(0);"open dialog window with no frame and is modal";chr$(0);"diaCmds.txt"
    print #fout, "dim";chr$(0);"dim array(size) {,array(size), ...}";chr$(0);"dim.txt"
    print #fout, "disable";chr$(0);"print #handle.ext, ";chr$(34);"disable";chr$(34);chr$(0);"GBComds.txt"
    print #fout, "discard";chr$(0);"print #handle, ";chr$(34);"discard";chr$(34);chr$(0);"discard.txt"
    print #fout, "DisplayHeight";chr$(0);"DisplayHeight - (contains height of display screen in pixels)";chr$(0);"displayWH.txt"
    print #fout, "DisplayWidth";chr$(0);"DisplayWidth - (contains width of display screen in pixels)";chr$(0);"displayWH.txt"
    print #fout, "do...loop";chr$(0);"do {while/until} [code here] loop {while/until}";chr$(0);"doloop.txt"
    print #fout, "down";chr$(0);"print #handle, ";chr$(34);"down";chr$(34);chr$(0);"homeupdownsize.txt"
    print #fout, "drawbmp";chr$(0);"print #handle, ";chr$(34);"drawbmp bmpname x y";chr$(34);chr$(0);"drawBmp.txt"
    print #fout, "drawsprites";chr$(0);"print #handle.ext, ";chr$(34);"drawsprites";chr$(34);chr$(34);chr$(0);"spriteAdd.txt"
    print #fout, "Drives$";chr$(0);"Drives$ - (system variable holds all system drive letters)";chr$(0);"drives.txt"
    print #fout, "dump";chr$(0);"dump - (forces the print job to the printer)";chr$(0);"dump.txt"
    print #fout, "ellipse w h";chr$(0);"print #handle, ";chr$(34);"ellipse w h";chr$(34);chr$(0);"ellipse.txt"
    print #fout, "ellipsefilled w h";chr$(0);"print #handle, ";chr$(34);"ellipsefilled w h";chr$(34);chr$(0);"ellipse.txt"
    print #fout, "enable";chr$(0);"print #handle.ext, ";chr$(34);"enable";chr$(34);chr$(0);"GBComds.txt"
    print #fout, "end";chr$(0);"end - (more than one end statement is allowed)";chr$(0);"end.txt"
    print #fout, "end function";chr$(0);"end function - ends a user-defined function";chr$(0);"function.txt"
    print #fout, "end if";chr$(0);"end if - (ends an END...IF clause)";chr$(0);"ifthen.txt"
    print #fout, "end select";chr$(0);"end select - (ends a SELECT CASE construct)";chr$(0);"selCase.txt"
    print #fout, "end sub";chr$(0);"end sub - (ends a user-defined subroutine)";chr$(0);"call.txt"
    print #fout, "eof(#h)";chr$(0);"eof(#h) - (returns -1 if eof, otherwise returns 0)";chr$(0);"eof.txt"
    print #fout, "exit";chr$(0);"exit {do, for, while, function, or sub}";chr$(0);"exit.txt"
    print #fout, "exp(n)";chr$(0);"exp(n) - (e raised to the power of n)";chr$(0);"mathOps.txt"
    print #fout, "field";chr$(0);"field #handle, length1 as varName, lenght2 as varName, . . .";chr$(0);"field.txt"
    print #fout, "filedialog";chr$(0);"filedialog titleString, templateString, receiverVar$";chr$(0);"filedialog.txt"
    print #fout, "files";chr$(0);"files";chr$(0);"4files.txt"
    print #fout, "fill";chr$(0);"print #handle, ";chr$(34);"fill COLOR";chr$(34);chr$(0);"fill.txt"
    print #fout, "flush";chr$(0);"print #handle, ";chr$(34);"flush";chr$(34);chr$(0);"2flush.txt"
    print #fout, "font";chr$(0);"print #handle, ";chr$(34);"font FaceName size attributes";chr$(34);chr$(0);"font.txt"
    print #fout, "for...next";chr$(0);"for var = n to n {statements} next var";chr$(0);"2fornext.txt"
    print #fout, "ForegroundColor$";chr$(0);"ForegroundColor$ = ";chr$(34);"aColor";chr$(34);chr$(0);"BgColor.txt"
    print #fout, "function";chr$(0);"function functionName(zero or more parameter variable names)";chr$(0);"function.txt"
    print #fout, "get";chr$(0);"get #handle, recordNumber";chr$(0);"field.txt"
    print #fout, "getbmp";chr$(0);"print #handle, ";chr$(34);"getbmp bmpName x y width height";chr$(34);chr$(0);"drawBmp.txt"
    print #fout, "global";chr$(0);"global var1, var2, ...";chr$(0);"global.txt"
    print #fout, "go";chr$(0);"print #handle, ";chr$(34);"go distance";chr$(34);chr$(0);"gogoto.txt"
    print #fout, "gosub";chr$(0);"gosub [branchLabel]";chr$(0);"2goto.txt"
    print #fout, "goto";chr$(0);"goto [branchLabel]";chr$(0);"2goto.txt"
    print #fout, "goto x y";chr$(0);"print #handle, ";chr$(34);"goto x y";chr$(34);chr$(0);"gogoto.txt"
    print #fout, "graphicbox";chr$(0);"graphicbox #handle.ext, xOrg, yOrg, width, height";chr$(0);"Gbx.txt"
    print #fout, "graphics";chr$(0);"open TITLE$ for graphics as #handle";chr$(0);"graphicsWin.txt"
    print #fout, "[Graphics Commands]";chr$(0);"View Graphics Commands";chr$(0);"5GrCmdsNarrow.txt"
    print #fout, "graphics_fs";chr$(0);"open graphics window the size of the screen";chr$(0);"graphicsWin.txt"
    print #fout, "graphics_fs_nsb";chr$(0);"open graphics window the size of the screen without scrollbars";chr$(0);"graphicsWin.txt"
    print #fout, "graphics_nf_nsb";chr$(0);"open graphics window with no sizing frame and no scrollbars";chr$(0);"graphicsWin.txt"
    print #fout, "graphics_nsb";chr$(0);"open graphics window with no scrollbars";chr$(0);"graphicsWin.txt"
    print #fout, "groupbox";chr$(0);"groupbox #handle.ext, ";chr$(34);"label";chr$(34);", x, y, wide, high";chr$(0);"groupBx.txt"
    print #fout, "handle variable";chr$(0);"handle variable:  #myHandleVariable$";chr$(0);"handleVar.txt"
    print #fout, "home";chr$(0);"print #handle, ";chr$(34);"home";chr$(34);chr$(0);"homeupdownsize.txt"
    print #fout, "horizscrollbar";chr$(0);"print #handle ";chr$(34);"horizscrollbar on/off [min max]";chr$(34);chr$(0);"hvScrollbar.txt"
    print #fout, "if...then";chr$(0);"if [test expression] then [expression(s)] {else} {end if}";chr$(0);"ifthen.txt"
    print #fout, "inkey$";chr$(0);"inkey$ - (variable; stores keypresses in graphics windows)";chr$(0);"inkey.txt"
    print #fout, "input";chr$(0);"input #handle ";chr$(34);"string expression";chr$(34);" variableName";chr$(0);"2input.txt"
    print #fout, "input$()";chr$(0);"input$(#handle, n)";chr$(0);"inputStr.txt"
    print #fout, "instr";chr$(0);"instr(string1, string2, starting)";chr$(0);"instr.txt"
    print #fout, "int(n)";chr$(0);"int(n) - (n can be number or expression)";chr$(0);"mathOps.txt"
    print #fout, "kill";chr$(0);"kill ";chr$(34);"filename.ext";chr$(34);chr$(0);"kill.txt"
    print #fout, "left$(s$,n)";chr$(0);"left$(string, number)";chr$(0);"2LMRStr.txt"
    print #fout, "len(s$)";chr$(0);"len(string)";chr$(0);"len.txt"
    print #fout, "line";chr$(0);"print #handle, ";chr$(34);"line X1 Y1 X2 Y2";chr$(34);chr$(0);"line.txt"
    print #fout, "line input";chr$(0);"line input #handle, var$";chr$(0);"2input.txt"
    print #fout, "listbox";chr$(0);"listbox #handle.ext, array$(), eventHandler, x, y, wide, high";chr$(0);"listBx.txt"
    print #fout, "ListboxColor$";chr$(0);"ListboxColor$ = ";chr$(34);"aColor";chr$(34);chr$(0);"BgColor.txt"
    print #fout, "loadbmp";chr$(0);"loadbmp ";chr$(34);"name";chr$(34);", ";chr$(34);"filename.bmp";chr$(34);chr$(0);"bmpSave.txt"
    print #fout, "loc(#h)";chr$(0);"loc(#handle)";chr$(0);"loc.txt"
    print #fout, "locate";chr$(0);"locate x, y - (in MAINWINDOW)";chr$(0);"locate.txt"
    print #fout, "lof(#h)";chr$(0);"lof(#handle) - (returns number of bytes in file)";chr$(0);"eof.txt"
    print #fout, "log(n)";chr$(0);"log(n) - (n can be number or expression)";chr$(0);"mathOps.txt"
    print #fout, "loop";chr$(0);"loop {while/until} - (see do...loop)";chr$(0);"doloop.txt"
    print #fout, "lower$(s$)";chr$(0);"lower$(string)";chr$(0);"lowup.txt"
    print #fout, "lprint";chr$(0);"lprint expression {;expr;expr;...}";chr$(0);"dump.txt"
    print #fout, "mainwin";chr$(0);"mainwin columns rows";chr$(0);"mainwin.txt"
    print #fout, "menu";chr$(0);"menu #handle, ";chr$(34);"title";chr$(34);", ";chr$(34);"text";chr$(34);", [branchLabel], ";chr$(34);"text2";chr$(34);", [branchLabel2],  |  , . . .";chr$(0);"2menu.txt"
    print #fout, "mid$(s$,i,[n])";chr$(0);"mid$(string, index, [number])";chr$(0);"2LMRStr.txt"
    print #fout, "midipos()";chr$(0);"var = midipos()";chr$(0);"midi.txt"
    print #fout, "mkdir()";chr$(0);"mkdir(";chr$(34);"dirName$";chr$(34);")";chr$(0);"mkdir.txt"
    print #fout, "mod";chr$(0);"num1 mod num2";chr$(0);"mod.txt"
    print #fout, "MouseX";chr$(0);"MouseX - (holds xPos of mouse)";chr$(0);"mouseXY.txt"
    print #fout, "MouseY";chr$(0);"MouseY - (holds yPos of mouse)";chr$(0);"mouseXY.txt"
    print #fout, "name";chr$(0);"name StringExpr1 AS StringExpr2";chr$(0);"kill.txt"
    print #fout, "next";chr$(0);"next var - (see for...next)";chr$(0);"2fornext.txt"
    print #fout, "nomainwin";chr$(0);"nomainwin - (suppresses MAINWIN)";chr$(0);"mainwin.txt"
    print #fout, "north";chr$(0);"print #handle, ";chr$(34);"north";chr$(34);chr$(0);"north.txt"
    print #fout, "NOTICE";chr$(0);"NOTICE ";chr$(34);"string expression";chr$(34);chr$(0);"notice.txt";chr$(0);"exNotice.txt"
    print #fout, "on error";chr$(0);"on error goto [branchLabel]";chr$(0);"2onerror.txt"
    print #fout, "oncomerror";chr$(0);"oncomerror [branchLabel]";chr$(0);"oncomerror.txt"
    print #fout, "open";chr$(0);"open DEVICE for PURPOSE as #handle";chr$(0);"open.txt"
    print #fout, "open COMn";chr$(0);"OPEN ";chr$(34);"COMn:baud,parity,data stop{,options}";chr$(34);" for random as #handle";chr$(0);"opencom.txt"
    print #fout, "pie";chr$(0);"print #handle, ";chr$(34);"pie w h angle1 angle2";chr$(34);chr$(0);"pie.txt"
    print #fout, "piefilled";chr$(0);"print #handle, ";chr$(34);"piefilled w h angle1 angle2";chr$(34);chr$(0);"pie.txt"
    print #fout, "place";chr$(0);"print #handle, ";chr$(34);"place x, y";chr$(34);chr$(0);"north.txt"
    print #fout, "platform$";chr$(0);"platform$ - (holds the string ";chr$(34);"Windows";chr$(34);")";chr$(0);"platform.txt"
    print #fout, "playmidi";chr$(0);"playmidi filename, length";chr$(0);"midi.txt"
    print #fout, "playwave";chr$(0);"playwave ";chr$(34);"filename";chr$(34);" [, mode]";chr$(0);"playwave.txt"
    print #fout, "posxy";chr$(0);"print #handle, ";chr$(34);"posxy xVar yVar";chr$(34);chr$(0);"north.txt"
    print #fout, "print";chr$(0);"print #handle, expression; expression(s);...";chr$(0);"print.txt"
    print #fout, "print [size]";chr$(0);"print #handle, ";chr$(34);"print {vga, svga, xga]";chr$(34);chr$(0);"printsize.txt"
    print #fout, "PrinterFont$";chr$(0);"PrinterFont$ = fontSpec";chr$(0);"printerfont.txt"
    print #fout, "PROMPT";chr$(0);"PROMPT ";chr$(34);"string expression";chr$(34);"; responseVar$";chr$(0);"2prompt.txt";chr$(0);""
    print #fout, "put";chr$(0);"put #handle, recordNumber";chr$(0);"field.txt"
    print #fout, "radiobutton";chr$(0);"radiobutton #handle.ext, ";chr$(34);"label";chr$(34);", setHandler, resetHandler, x, y, wide, high";chr$(0);"2radioBtn.txt"
    print #fout, "randomize";chr$(0);"randomize n - (n = >0 to <1)";chr$(0);"rnd.txt"
    print #fout, "read";chr$(0);"read [var/var$ {,...}]";chr$(0);"data.txt"
    print #fout, "redim";chr$(0);"redim array(size) {,array(size), ...}";chr$(0);"dim.txt"
    print #fout, "redraw";chr$(0);"print #handle, ";chr$(34);"redraw";chr$(34);" - or - ";chr$(34);"redraw ";chr$(34);"; {idNum or segmentName}";chr$(0);"redraw.txt"
    print #fout, "rem";chr$(0);"rem comment";chr$(0);"rem.txt"
    print #fout, "removesprite";chr$(0);"print #handle.ext, ";chr$(34);"removesprite SpriteName";chr$(34);chr$(34);chr$(0);"spriteAdd.txt"
    print #fout, "restore";chr$(0);"restore {[branchLabel]}";chr$(0);"data.txt"
    print #fout, "return";chr$(0);"return";chr$(0);"2goto.txt"
    print #fout, "right$(s$,n)";chr$(0);"right$(string, number)";chr$(0);"2LMRStr.txt"
    print #fout, "rmdir()";chr$(0);"rmdir(";chr$(34);"dirName$";chr$(34);")";chr$(0);"mkdir.txt"
    print #fout, "rnd(n)";chr$(0);"rdn(number) - (number is usually 1)";chr$(0);"rnd.txt"
    print #fout, "rule";chr$(0);"print #handle, ";chr$(34);"rule rulename";chr$(34);" - or - ";chr$(34);"rule ";chr$(34);"; _R2_[drawingRule]";chr$(0);"rule.txt"
    print #fout, "run";chr$(0);"run stringExpr1 [,mode]";chr$(0);"2run.txt"
    print #fout, "scan";chr$(0);"scan";chr$(0);"scan.txt"
    print #fout, "seek";chr$(0);"seek #handle, position";chr$(0);"loc.txt"
    print #fout, "segment";chr$(0);"print #handle, ";chr$(34);"segment variableName";chr$(34);chr$(0);"2flush.txt"
    print #fout, "select case";chr$(0);"select case var";chr$(0);"selCase.txt"
    print #fout, "set";chr$(0);"print #handle, ";chr$(34);"set x y";chr$(34);chr$(0);"gogoto.txt"
    print #fout, "setfocus";chr$(0);"print #handle, ";chr$(34);"setfocus";chr$(34);chr$(0);"GBComds.txt"
    print #fout, "sin(n)";chr$(0);"sin(n) - (n can be number or expression. The angle n should be expressed in radians.";chr$(0);"trigOps.txt"
    print #fout, "size";chr$(0);"print #handle, ";chr$(34);"size S";chr$(34);chr$(0);"homeupdownsize.txt"
    print #fout, "space$(n)";chr$(0);"space$(n) - (n = number of ASCII 32, space char.)";chr$(0);"space.txt"
    print #fout, "[Sprite collision detection]";chr$(0);"Sprite collision detection";chr$(0);"5SpriteCollDetect.txt"
    print #fout, "[Sprite Commands]";chr$(0);"View sprite commands";chr$(0);"5SpriteCmds.txt"
    print #fout, "spritecollides";chr$(0);"print #handle.ext, ";chr$(34);"spritecollides SpriteName";chr$(34);chr$(0);"spriteCol.txt"
    print #fout, "spriteimage";chr$(0);"print #handle.ext, ";chr$(34);"spriteimage SpriteName BmpNameX";chr$(34);chr$(0);"spriteVis.txt"
    print #fout, "spritemovexy";chr$(0);"print #handle.ext, ";chr$(34);"spritemovexy SpriteName 5 5";chr$(34);chr$(0);"spriteCol.txt"
    print #fout, "spriteorient";chr$(0);"print #handle.ext, ";chr$(34);"spriteorient SpriteName [normal/flip/mirror/rotate180]";chr$(34);chr$(0);"spriteOrient.txt"
    print #fout, "spritescale";chr$(0);"print #handle.ext, ";chr$(34);"spritescale SpriteName 150";chr$(34);chr$(0);"spriteSc.txt"
    print #fout, "spritevisible";chr$(0);"print #handle.ext, ";chr$(34);"spritevisible SpriteName on/off";chr$(34);chr$(0);"spriteVis.txt"
    print #fout, "spritexy";chr$(0);"print #handle.ext, ";chr$(34);"spritexy SpriteName 10 10";chr$(34);chr$(0);"spriteXY.txt"
    print #fout, "spritexy?";chr$(0);"print #handle.ext, ";chr$(34);"spritexy? SpriteName";chr$(34);chr$(0);"spriteXY.txt"
    print #fout, "sqr(n)";chr$(0);"sqr(n) - (n can be number or expression)";chr$(0);"mathOps.txt"
    print #fout, "statictext";chr$(0);"statictext #handle{.ext}, ";chr$(34);"string";chr$(34);", x, y, wide, high";chr$(0);"2statictxt.txt"
    print #fout, "stop";chr$(0);"stop - (identical to end statement)";chr$(0);"end.txt"
    print #fout, "stopmidi";chr$(0);"stopmidi";chr$(0);"midi.txt"
    print #fout, "str$";chr$(0);"str$(numericExpression)";chr$(0);"strval.txt"
    print #fout, "sub";chr$(0);"sub subName {zero or more comma separated parameter variable names}";chr$(0);"3sub.txt"
    print #fout, "tab(n)";chr$(0);"tab(n) - (use in MAINWIN and with LPRINT)";chr$(0);"space.txt"
    print #fout, "tan(n)";chr$(0);"tan(n) - (n can be number or expression. The angle n should be expressed in radians.";chr$(0);"trigOps.txt"
    print #fout, "text";chr$(0);"open TITLE$ for text as #handle";chr$(0);"textWin.txt"
    print #fout, "[Text Commands]";chr$(0);"View Text Window Commands";chr$(0);"5TxtCmds.txt"
    print #fout, "text_fs";chr$(0);"open text window the size of the screen";chr$(0);"textWin.txt"
    print #fout, "text_nsb";chr$(0);"open text window with no scrollbars";chr$(0);"textWin.txt"
    print #fout, "text_nsb_ins";chr$(0);"open text window with no scrollbars and inset editor";chr$(0);"textWin.txt"
    print #fout, "textbox";chr$(0);"textbox #handle.ext, xpos, ypos, wide, high";chr$(0);"2textBx.txt"
    print #fout, "TextboxColor$";chr$(0);"TextboxColor$ = ";chr$(34);"aColor";chr$(34);chr$(0);"BgColor.txt"
    print #fout, "texteditor";chr$(0);"texteditor #handle.ext, xpos, ypos, wide, high";chr$(0);"3textEditor.txt"
    print #fout, "TexteditorColor$";chr$(0);"TexteditorColor$ = ";chr$(34);"aColor";chr$(34);chr$(0);"BgColor.txt"
    print #fout, "time$()";chr$(0);"time$(";chr$(34);"{optional switches}";chr$(34);")";chr$(0);"time.txt"
    print #fout, "timer";chr$(0);"timer milliseconds, [branchLabel]/subName";chr$(0);"timer.txt"
    print #fout, "trapclose";chr$(0);"print #handle, ";chr$(34);"trapclose [branchLabel]/subName";chr$(34);chr$(0);"2trapclose.txt"
    print #fout, "trim$";chr$(0);"trim$(stringExpression)";chr$(0);"trim.txt"
    print #fout, "turn";chr$(0);"print #handle, ";chr$(34);"turn angle";chr$(34);chr$(0);"north.txt"
    print #fout, "txcount(#h)";chr$(0);"txcount(#handle)";chr$(0);"txcount.txt"
    print #fout, "unloadbmp";chr$(0);"unloadbmp ";chr$(34);"name";chr$(34);chr$(0);"bmpSave.txt"
    print #fout, "up";chr$(0);"print #handle, ";chr$(34);"up";chr$(34);chr$(0);"homeupdownsize.txt"
    print #fout, "upper$(s$)";chr$(0);"upper$(string)";chr$(0);"lowup.txt"
    print #fout, "UpperLeftX";chr$(0);"UpperLeftX = number";chr$(0);"2winWidth.txt"
    print #fout, "UpperLeftY";chr$(0);"UpperLeftY = number";chr$(0);"2winWidth.txt"
    print #fout, "using()";chr$(0);"using(templateString, numericExpression)";chr$(0);"using.txt"
    print #fout, "val(s$)";chr$(0);"val(stringExpression)";chr$(0);"strval.txt"
    print #fout, "version$";chr$(0);"version$ - (holds the version of JustBASIC)";chr$(0);"platform.txt"
    print #fout, "vertscrollbar";chr$(0);"print #handle, ";chr$(34);"vertscrollbar on/off [min max]";chr$(34);chr$(0);"hvScrollbar.txt"
    print #fout, "virtual keys";chr$(0);"_VK_CONSTANT";chr$(0);"2vkeys.txt"
    print #fout, "wait";chr$(0);"wait";chr$(0);"wait.txt"
    print #fout, "wend";chr$(0);"wend - (see while...wend)";chr$(0);"2whilewend.txt"
    print #fout, "when";chr$(0);"print #handle, ";chr$(34);"when event eventHandler";chr$(34);chr$(0);"4when.txt"
    print #fout, "while";chr$(0);"while expression - (see while...wend)";chr$(0);"2whilewend.txt"
    print #fout, "while...wend";chr$(0);"while expression [code here] wend";chr$(0);"2whilewend.txt"
    print #fout, "window";chr$(0);"open TITLE$ for window as #handle";chr$(0);"windowWin.txt"
    print #fout, "window_nf";chr$(0);"open window with no resizing frame";chr$(0);"diaCmds.txt"
    print #fout, "WindowWidth";chr$(0);"WindowWidth = number";chr$(0);"2winWidth.txt"
    print #fout, "WindowHeight";chr$(0);"WindowHeight = number";chr$(0);"2winWidth.txt"
    print #fout, "word$()";chr$(0);"word$(stringExpression, n [,string delimiter])";chr$(0);"word.txt"

    close #fout

    notice "Good job!";chr$(13);"Database successfully updated.";_
                chr$(13);"Now, go have yourself a beer."
end


'***************************************************
' FUNCTIONS AND SUBS
'***************************************************

function FileExists(fileName$)
    ' returns true(any number) or false(0)
    dim FileExistsInfo$(1,1)
    files "", fileName$, FileExistsInfo$()
    FileExists = val(FileExistsInfo$(0,0))
end function
